package com.platform.modules.video.service;

import com.baomidou.mybatisplus.service.IService;
import com.platform.common.utils.PageUtils;
import com.platform.modules.video.entity.VideoEntity;

import java.util.Map;

/**
 * 
 *
 * @author yikaihong
 * @date 2018-06-27 14:20:18
 */
public interface VideoService extends IService<VideoEntity> {

    PageUtils queryPage(Map<String, Object> params);

    void save(VideoEntity video);


    void update(VideoEntity video);


    PageUtils queryPageByConditions(Map<String, Object> params);


    void updateOKState(Integer id, String opinion);


    void updateNoState(Integer id, String opinion);


    void sendState(Integer id);


    void deleteBatch(Long[] videoIds);

    void delete(Integer id);


}

